## stress-ng 0.09.43

=== Makefile ===
#
# Copyright (C) 2013-2018 Canonical, Ltd.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

VERSION=0.09.43
#
# Codename "portable pressure producer"
#

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99 -pipe

#
# Pedantic flags
#
ifeq ($(PEDANTIC),1)
CFLAGS += -Wcast-qual -Wfloat-equal -Wmissing-declarations \
	-Wmissing-format-attribute -Wno-long-long -Wpacked \
	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
endif

GREP = grep
#
# SunOS requires special grep for -e support
#
KERNEL=$(shell uname -s)
NODENAME=$(shell uname -n)
ifeq ($(KERNEL),SunOS)
ifneq ($(NODENAME),dilos)
GREP = /usr/xpg4/bin/grep
endif
endif

#
# Check for KFreeBSD
#
ifeq ($(KERNEL),GNU/kFreeBSD)
CFLAGS += -D__FreeBSD_Kernel__
endif

#
# Static flags, only to be used when using GCC
#
ifeq ($(STATIC),1)
LDFLAGS += -static
CFLAGS += -DBUILD_STATIC
endif

BINDIR=/usr/bin
MANDIR=/usr/share/man/man1
JOBDIR=/usr/share/stress-ng/example-jobs

#
#  Stressors
#
STRESS_SRC = \
	stress-access.c \
	stress-affinity.c \
	stress-af-alg.c \
	stress-aio.c \
	stress-aio-linux.c \
	stress-apparmor.c \
	stress-atomic.c \
	stress-bad-altstack.c \
	stress-bigheap.c \
	stress-bind-mount.c \
	stress-branch.c \
	stress-brk.c \
	stress-bsearch.c \
	stress-cache.c \
	stress-cap.c \
	stress-chdir.c \
	stress-chmod.c \
	stress-chown.c \
	stress-chroot.c \
	stress-clock.c \
	stress-clone.c \
	stress-context.c \
	stress-copy-file.c \
	stress-cpu.c \
	stress-cpu-online.c \
	stress-crypt.c \
	stress-cyclic.c \
	stress-daemon.c \
	stress-dccp.c \
	stress-dentry.c \
	stress-dev.c \
	stress-dev-shm.c \
	stress-dir.c \
	stress-dirdeep.c \
	stress-dnotify.c \
	stress-dup.c \
	stress-dynlib.c \
	stress-efivar.c \
	stress-enosys.c \
	stress-epoll.c \
	stress-eventfd.c \
	stress-exec.c \
	stress-fallocate.c \
	stress-fanotify.c \
	stress-fault.c \
	stress-fcntl.c \
	stress-file-ioctl.c \
	stress-fiemap.c \
	stress-fifo.c \
	stress-filename.c \
	stress-flock.c \
	stress-fork.c \
	stress-fp-error.c \
	stress-fstat.c \
	stress-full.c \
	stress-funccall.c \
	stress-futex.c \
	stress-get.c \
	stress-getrandom.c \
	stress-getdent.c \
	stress-handle.c \
	stress-hdd.c \
	stress-heapsort.c \
	stress-hrtimers.c \
	stress-hsearch.c \
	stress-icache.c \
	stress-icmp-flood.c \
	stress-inode-flags.c \
	stress-inotify.c \
	stress-iomix.c \
	stress-ioport.c \
	stress-ioprio.c \
	stress-iosync.c \
	stress-itimer.c \
	stress-kcmp.c \
	stress-key.c \
	stress-kill.c \
	stress-klog.c \
	stress-lease.c \
	stress-link.c \
	stress-lockbus.c \
	stress-locka.c \
	stress-lockf.c \
	stress-lockofd.c \
	stress-longjmp.c \
	stress-loop.c \
	stress-lsearch.c \
	stress-madvise.c \
	stress-malloc.c \
	stress-matrix.c \
	stress-mcontend.c \
	stress-membarrier.c \
	stress-memcpy.c \
	stress-memfd.c \
	stress-memrate.c \
	stress-memthrash.c \
	stress-mergesort.c \
	stress-mincore.c \
	stress-mknod.c \
	stress-mlock.c \
	stress-mmap.c \
	stress-mmapaddr.c \
	stress-mmapfixed.c \
	stress-mmapfork.c \
	stress-mmapmany.c \
	stress-mremap.c \
	stress-msg.c \
	stress-msync.c \
	stress-mq.c \
	stress-netdev.c \
	stress-netlink-proc.c \
	stress-nice.c \
	stress-nop.c \
	stress-null.c \
	stress-numa.c \
	stress-oom-pipe.c \
	stress-opcode.c \
	stress-open.c \
	stress-personality.c \
	stress-physpage.c \
	stress-pipe.c \
	stress-pkey.c \
	stress-poll.c \
	stress-prctl.c \
	stress-procfs.c \
	stress-pthread.c \
	stress-ptrace.c \
	stress-pty.c \
	stress-quota.c \
	stress-qsort.c \
	stress-radixsort.c \
	stress-rawdev.c \
	stress-rdrand.c \
	stress-readahead.c \
	stress-remap-file-pages.c \
	stress-rename.c \
	stress-resources.c \
	stress-revio.c \
	stress-rlimit.c \
	stress-rmap.c \
	stress-rtc.c \
	stress-sctp.c \
	stress-schedpolicy.c \
	stress-seal.c \
	stress-seccomp.c \
	stress-seek.c \
	stress-sem.c \
	stress-sem-sysv.c \
	stress-sendfile.c \
	stress-set.c \
	stress-shm.c \
	stress-shm-sysv.c \
	stress-sigfd.c \
	stress-sigfpe.c \
	stress-sigio.c \
	stress-sigpending.c \
	stress-sigpipe.c \
	stress-sigq.c \
	stress-sigrt.c \
	stress-sigsegv.c \
	stress-sigsuspend.c \
	stress-sleep.c \
	stress-socket.c \
	stress-socket-diag.c \
	stress-socket-fd.c \
	stress-socketpair.c \
	stress-softlockup.c \
	stress-spawn.c \
	stress-splice.c \
	stress-stack.c \
	stress-stackmmap.c \
	stress-str.c \
	stress-stream.c \
	stress-swap.c \
	stress-switch.c \
	stress-sync-file.c \
	stress-sysbadaddr.c \
	stress-sysinfo.c \
	stress-sysfs.c \
	stress-tee.c \
	stress-timer.c \
	stress-timerfd.c \
	stress-tlb-shootdown.c \
	stress-tmpfs.c \
	stress-tree.c \
	stress-tsc.c \
	stress-tsearch.c \
	stress-udp.c \
	stress-udp-flood.c \
	stress-unshare.c \
	stress-urandom.c \
	stress-userfaultfd.c \
	stress-utime.c \
	stress-vecmath.c \
	stress-vforkmany.c \
	stress-vm.c \
	stress-vm-addr.c \
	stress-vm-rw.c \
	stress-vm-segv.c \
	stress-vm-splice.c \
	stress-wait.c \
	stress-watchdog.c \
	stress-wcstr.c \
	stress-xattr.c \
	stress-yield.c \
	stress-zero.c \
	stress-zlib.c \
	stress-zombie.c \

#
# Stress core
#
CORE_SRC = \
	affinity.c \
	cache.c \
	cpu.c \
	helper.c \
	ignite-cpu.c \
	io-priority.c \
	job.c \
	limit.c \
	log.c \
	madvise.c \
	mincore.c \
	mlock.c \
	mmap.c \
	mounts.c \
	mwc.c \
	net.c \
	out-of-memory.c \
	parse-opts.c \
	perf.c \
	sched.c \
	setting.c \
	shim.c \
	thermal-zone.c \
	time.c \
	thrash.c \
	stress-ng.c

SRC = $(STRESS_SRC) $(CORE_SRC)
OBJS = $(SRC:.c=.o)

APPARMOR_PARSER=/sbin/apparmor_parser

LIB_APPARMOR := -lapparmor
LIB_BSD := -lbsd
LIB_Z := -lz
LIB_CRYPT := -lcrypt
LIB_RT := -lrt
LIB_PTHREAD := -lpthread
LIB_AIO = -laio
LIB_SCTP = -lsctp
LIB_DL = -ldl

#
#  Load in and set flags based on config
#
-include config
CFLAGS += $(CONFIG_CFLAGS)
LDFLAGS += $(CONFIG_LDFLAGS)
OBJS += $(CONFIG_OBJS)

all:
ifneq ("$(wildcard config)","")
	$(MAKE) makeconfig
endif
	$(MAKE) stress-ng

.SUFFIXES: .c .o

.o: stress-ng.h Makefile

.c.o: stress-ng.h Makefile $(SRC)
	@echo "CC $<"
	@$(CC) $(CFLAGS) -c -o $@ $<

stress-ng: $(OBJS)
	@echo "LD $@"
	@$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -o $@
	@sync

makeconfig:
	@if [ ! -s config ]; then \
		$(MAKE) -f Makefile.config; \
	fi

#
#  generate apparmor data using minimal core utils tools from apparmor
#  parser output
#
apparmor-data.o: usr.bin.pulseaudio.eg
	@$(APPARMOR_PARSER) -Q usr.bin.pulseaudio.eg  -o apparmor-data.bin
	@echo "#include <stddef.h>" > apparmor-data.c
	@echo "char g_apparmor_data[]= { " >> apparmor-data.c
	@od -tx1 -An -v < apparmor-data.bin | \
		sed 's/[0-9a-f][0-9a-f]/0x&,/g' | \
		sed '$$ s/.$$//' >> apparmor-data.c
	@echo "};" >> apparmor-data.c
	@echo "const size_t g_apparmor_data_len = sizeof(g_apparmor_data);" >> apparmor-data.c
	@echo "CC $<"
	@$(CC) -c apparmor-data.c -o apparmor-data.o
	@rm -rf apparmor-data.c apparmor-data.bin

#
#  extract the PER_* personality enums
#
personality.h:
	@$(CPP) personality.c | $(GREP) -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
	| sed "s/.$$/,/" > personality.h

stress-personality.c: personality.h

perf.o: perf.c perf-event.c
	@$(CC) $(CFLAGS) -E perf-event.c | grep "PERF_COUNT" | sed 's/,/ /' | \
	awk {'print "#define _SNG_" $$1 " (1)"'} > perf-event.h
	@echo CC $<
	@$(CC) $(CFLAGS) -c -o $@ $<

stress-vecmath.o: stress-vecmath.c
	@echo CC $<
	@$(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
	@touch stress-ng.c

$(OBJS): stress-ng.h Makefile

stress-ng.1.gz: stress-ng.1
	gzip -c $< > $@

.PHONY: dist
dist:
	rm -rf stress-ng-$(VERSION)
	mkdir stress-ng-$(VERSION)
	cp -rp Makefile Makefile.config $(SRC) stress-ng.h stress-ng.1 \
		personality.c COPYING syscalls.txt mascot README \
		README.Android test snap smatchify.sh config TODO \
		perf-event.c usr.bin.pulseaudio.eg stress-version.h \
		example-jobs .travis.yml stress-ng-$(VERSION)
	tar -Jcf stress-ng-$(VERSION).tar.xz stress-ng-$(VERSION)
	rm -rf stress-ng-$(VERSION)

.PHONY: pdf
pdf:
	man -t ./stress-ng.1 | ps2pdf - > stress-ng.pdf


.PHONY: clean
clean:
	@rm -f stress-ng $(OBJS) stress-ng.1.gz stress-ng.pdf
	@rm -f stress-ng-$(VERSION).tar.xz
	@rm -f personality.h
	@rm -f perf-event.h
	@rm -f apparmor-data.bin
	@rm -f *.o
	@:> config

.PHONY: fast-test-all
fast-test-all: all
	STRESS_NG=./stress-ng debian/tests/fast-test-all

.PHONY: slow-test-all
slow-test-all: all
	./stress-ng --seq 0 -t 15 --pathological --verbose --times --tz --metrics

.PHONY: install
install: stress-ng stress-ng.1.gz
	mkdir -p ${DESTDIR}${BINDIR}
	cp stress-ng ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MANDIR}
	cp stress-ng.1.gz ${DESTDIR}${MANDIR}
	mkdir -p ${DESTDIR}${JOBDIR}
	cp -rp example-jobs/*.job ${DESTDIR}${JOBDIR}

=== debian/changelog ===
stress-ng (0.09.43-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-loop: check for specific loop ioctl commands
  * mounts: cater for minix requiring statbufs for mount information
  * stress-revio: ensure fiemap extent struct is zero'd (LP: #1798566)
  * Add autodetection of linux/futex.h
  * shim: revert back to checking if syscall is defined if calling via
    syscall()
  * test-pkey: also check if syscall is available
  * Add checks for linux/membarrier.h and membarrier system call
  * shim.c: update for KCMP and SYSLOG
  * Add HAVE_GETCPU getcpu system call check
  * test/test-fallocate: remove whitespace
  * Add HAVE_FALLOCATE fallocate system call check
  * Add HAVE_COPY_FILE_RANGE copy_file_range system call check
  * Add HAVE_SYNC_FILE_RANGE to Makefile.config
  * Add HAVE_SYNC_FILE_RANGE sync_file_range system call check
  * stress-apparmor: make another aa_kernel_interface_replace_policy
    failure an info message
  * Add autobuild detection for pkey family of system calls
  * stress-resources: use HAVE_USEFAULTFD check
  * Use HAVE_LINUX_USERFAULTFD_H and HAVE_USERFAULTFD checks
  * stress-apparmor: make aa_kernel_interface_replace_policy failure an
    info message
  * Use HAVE_SYS_EVENTFD_H and HAVE_EVENTFD checks
  * Add sys/eventfd header detection
  * Add HAVE_IOPRIO_{GET|SET}ATTR ioprio_{get|set}attr system call check
  * Add HAVE_KEYCTL keyctl system call check
  * Add HAVE_ADD_KEY add_key system call check
  * Add HAVE_REQUEST_KEY request_key system call check
  * stress-ng.h: re-order syscall checks alphabetically
  * Add HAVE_SCHED_{GET|SET}ATTR sched_{get|set}attr system call check
  * Add autobuild check and exercising of getdtablesize()
  * test/test-mremap: voidify newbuf to avoid cppcheck warning
  * test/test-ioport: return ret, fixes warning
  * stress-loop: clean up cppcheck warning on clr_loop not being used:
  * stress-kcmp: move slot to local scope
  * ignite-cpu: reduce scope of buffer and cpu
  * Add HAVE_KCMP kcmp system call check
  * Add HAVE_REMAP_FILE_PAGES check in Makefile.config
  * Add HAVE_SYSLOG syslog system call check
  * Add autobuild detection of remap_file_pages
  * Add HAVE_TGKILL tgkill system call check
  * Add HAVE_{SET|GET}_ROBUST_LIST {set|get}_robust_list system call
    check
  * Add HAVE_GETTID gettid system call check
  * Add HAVE_GETDENTS* check
  * Add autobuild detection of unshare
  * Add autobuild check for MLOCK2
  * stress-revio: use shim_fdatasync
  * Abstract fdatasync with a shim
  * stress-getrandom: allow __APPLE__ as it provides getentropy
  * Add autobuild detection of sys/memfd.h
  * Add autobuild detection of memfd_create
  * stress-get: use HAVE_LOOKUP_DCOOKIE check
  * Add autobuild check for lookup_dcookie system call
  * Use the autobuild config HAVE_SENDMMSG check
  * Add autobuild detection of sendmmsg
  * Makefile.config: minor cleanups
  * Makefile.config: use more generic rules for checking
  * Makefile.config: use generic have_test_prog rule for asm nop test
  * Makefile.config: use generic have_test_prog rule for aligment build
    checks
  * Makefile.config: add and use generic have_test_prog rule
  * stress-ng.h: re-order shim_ function declarations
  * Add autoconfig check for execveat
  * Move shim_execveat to main shim source
  * README: Add Dilos to notes
  * Makefile: use standard grep for dilos
  * stress-sysbadaddr: make ro_page and rw_page void * rather than uint8_t
  * stress-sigsegv: clean up warnings on older gcc on solaris
  * stress-rmap: clean up warnings on older gcc on solaris
  * stress-mmapaddr: clean up warnings on older gcc on solaris
  * stress-vforkmany: cleans up warnings on older gcc on solaris
  * stress-memthrash: make mem void * rather than uint8_t
  * stress-madvise: make buf void * rather than uint8_t
  * stress-bad-altstack: make stack pointer void * rather than uint8_t *
  * stress-loop: add stress_loop_supported for non-linux platforms
  * cache: minor change to comment block
  * stress-loop: use HAVE_LINUX_LOOP_H build detection
  * Makefile.config: check for linux/loop.h
  * stress-loop: check for ioctl commands before using them
  * Add loopback stressor
  * stress-sysfs: work around race on TPM driver for Linux

 -- Colin King <colin.king@canonical.com>  Thu, 18 Oct 2018 14:09:17 +0100

## stress-ng 0.09.44

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.43
+VERSION=0.09.44
 #
 # Codename "portable pressure producer"
 #

=== debian/changelog ===
stress-ng (0.09.44-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-dev: add HDIO_* ioctls
  * stress-file-ioctl: add FIBMAP ioctl to file
  * stress-dev: remove FIBMAP ioctl on device (LP: #1800609)
  * log: use snprintf instead of sprintf, it is safer

 -- Colin King <colin.king@canonical.com>  Thu, 1 Nov 2018 11:45:01 +0000

## stress-ng 0.09.45

=== Makefile ===
--- 
+++ 
@@ -16,12 +16,12 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.44
+VERSION=0.09.45
 #
 # Codename "portable pressure producer"
 #
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99 -pipe
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99 -pipe -g
 
 #
 # Pedantic flags

=== debian/changelog ===
stress-ng (0.09.45-1) unstable; urgency=medium

  * Makefile: bump version
  * Use alternative mmap strategy on last shared page if mprotect is
    not available
  * stress-dev: constify a char * function parameter, fixes warning
  * stress-dev: fix warnings on non-Linux systems
  * stress-dev: add 4.20 BLKGETZONESZ and BLKGETNRZONES ioctls
  * stress-tsc: add supported handler for non-x86
  * stress-rdrand: add supported handler for non-x86
  * stress-ng: add extra non-accessible page at end of shared region
  * thrash: assign return to variable and voidif
  * stress-getrandom: check if system call is available before testing
  * stress-cpu-online: ignore -EOPNOTSUPP failure, just keep on
    exercising the sys interfaces
  * stress-cpu-online: check if we can access sysfs file for updating
  * stress-cpu-online: add root check before running the stress test
  * stress-seccomp: add sanity check to see if SECCOMP_SET_MODE_FILTER
    works (LP: #1801856)
  * stress-dev: cache the scsi device names to reduce lookup overhead
  * stress-dev: remove debug cruft
    cache: turn macro MK_PATH to an inline'd static helper function
  * stress-dev: add SCSI device checking
  * stress-af-alg: handle ENOMEM failures on sendmsg (LP: #1801865)
  * stress-pty: handle EIO failures on opening /dev/ptmx
  * stress-loop: fix EBUSY error detection (LP: #1797544)
  * cache: optimize MK_PATH macro, remove double strlen call

 -- Colin King <colin.king@canonical.com>  Fri, 9 Nov 2018 10:43:35 +0000

## stress-ng 0.09.46

=== Makefile ===
--- 
+++ 
@@ -16,12 +16,12 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.45
+VERSION=0.09.46
 #
 # Codename "portable pressure producer"
 #
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99 -pipe -g
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99
 
 #
 # Pedantic flags

=== debian/changelog ===
stress-ng (0.09.46-1) unstable; urgency=medium

  * Makefile: bump version, remove -g and -pipe flags
  * Makefile: remove -pipe and -g CFLAGS
  * stress-ng: only defined TARGET_CLONES optimizations for x86-64
  * stress-affinity: fix set affinity setting across all
    stressors (LP: #1803322)
  * stress-fault: add mmap failed resource checking, treat as non-fatal
  * stress-tlb-shootdown: retry for ENFILE errors on mmap
  * stress-udp: handle ENETUNREACH silently
  * stress-vecmath: work around gcc breakage on ppc64el

 -- Colin King <colin.king@canonical.com>  Wed, 14 Nov 2018 13:01:57 +0000

## stress-ng 0.09.47

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.46
+VERSION=0.09.47
 #
 # Codename "portable pressure producer"
 #
@@ -261,6 +261,7 @@
 	stress-urandom.c \
 	stress-userfaultfd.c \
 	stress-utime.c \
+	stress-vdso.c \
 	stress-vecmath.c \
 	stress-vforkmany.c \
 	stress-vm.c \

=== debian/changelog ===
stress-ng (0.09.47-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: update date
  * Add in missing option --vdso-func to specific the vDSO function to
    call
  * stress-mcontend: check data[1] rather than data[0] for failed mmap
  * stress-dev: remove redundant null assignment to dev_scsi_new
  * log: use strncpy instead of less safe strcpy
  * README: add WSL as a supported platform
  * stress-itimer: skip stressor if itimer cannot be set
  * stress-schedpolicy: skip sched_setparam on EPERM errors
  * stress-key: skip stressor if add_key is not implemented
  * stress-netdev: ignore errors of EINVAL on ioctls
  * stress-ioprio: skip over failures that return -EINVAL
  * stress-file-ioctl: skip flag checking if ioctl fails
  * helper: forgot to use %s when printing cache pr_inf message
  * stress-file-ioctl: silently ignore ENOTTY ioctl failures
  * stress-file-ioctl: add in errno info on failure
  * helper: shrink cache defaults message, make it less verbose
  * stress-fcntl: cater for kernels that don't support some fcntl commands
  * stress-sigio: cater for kernels that don't support F_SETOWN
  * stress-udp: cater for kernels that don't support SO_REUSEADDR
  * cache: remove some empty lines, minor code cleanup
  * stress-tee: terminate with EXIT_NO_RESOURCE on ENOMEM on tee
  * stress-sctp: skip stressor if protocol is not supported (part 2)
  * Make cache size warnings less verbose
  * Add getauxval autoconfig detection
  * stress-vdso: only build test if AT_SYSINFO_EHDR is defined
  * README: add in more operating systems that the tool can build on
  * stress-sync-file: skip stressor if sync_file_range is not implemented
  * stress-switch: fall back to pipe() if pipe2() fails to work
  * stress-socket-diag: skip stressor if protocol is not supported
  * stress-sctp: skip stressor if protocol is not supported
  * stress-pipe: fall back to pipe() if pipe2() fails to work
  * exit_status: make ENOSYS return EXIT_NOT_IMPLEMENTED
  * stress-mq: skip stressor if POSIX message queues are not implemented
  * stress-mincore: skip stressor of mincore not implemented
  * stress-full: check if /dev/full exists, return EXIT_NOT_IMPLEMENTED
    if not available
  * stress-filename: cater for WSL on Windows 10 ENOENT errors
  * stress-filename: make probing more robust
  * stress-clock: handle kernels that return -EINVAL for timer_create
  * stress-vdso: make function vdso_sym_list_check_vdso_func static
  * stress-vdso: fix realloc null return check, don't check str
  * stress-vdso: ensure hash is initialized to NULL
  * stress-zlib: add gray code generator
  * stress-zlib: add brown noise and fix missing funcs from
    rand_data_funcs
  * stress-wait: voidify kill return
  * stress-vm: minor optimization, don't keep on recomputing max_ops arg
  * stress-vm: handle counter increments via helper functions
  * stress-bindmount: use get_counter instead of referencing counter
  * Add add_counter helper to add a value to the bogo op counter
  * Add a set_counter helper to set the bogo counter
  * Use get_counter rather than directly referencing *args->counter
  * mwc: use getauxval(AT_RANDOM) as a base seed if it is available
  * stress-switch: add more context switch info
  * stress-ng.h: add get_counter helper to get counter from args
  * stress-vdso: add arm64 vDSO symbol names
  * stress-vdso: scan all symbols and remove duplicates
  * Add vDSO stress test.
  * use a test program to conditionally set TARGET_CLONES (LP: #1800826)
  * Detect and use <features.h> if it is available.
  * Fix build with uClibc-ng (LP: #1800829)
  * stress-ng.h: conditionally define _{LARGEFILE,LARGEFILE64}_SOURCE
    to fix build warning (LP: #1800828)

 -- Colin King <colin.king@canonical.com>  Wed, 21 Nov 2018 17:03:43 +0000

## stress-ng 0.09.49

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.47
+VERSION=0.09.49
 #
 # Codename "portable pressure producer"
 #

=== debian/changelog ===
stress-ng (0.09.49-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-udp-flood: remove check for struct iphdr and icmphdr
  * stress-icmp-flood: add check for struct iphdr and icmphdr
  * Add checks for struct iphdr and icmphdr
  * helper: remove libgen.h - it is not needed
  * Add check for fenv.h
  * Add check for float.h
  * stress-icmp-flood: fix typo in macro name check
  * Add checks for netinet/ip.h and netinet/ip_icmp.h
  * Move getopt.h to stress-ng.h
  * Add check for netinet/sctp.h
  * Add check for locale.h
  * stress-epoll: remove need for netdb.h, clean up define checks
  * Add checkfor libgen.h
  * stress-spawn: only test on linux
  * Add detection for posix_spawn
  * stress-socket: add check for SOL_TCP for BSD systems
  * Add check for net/if.h
  * Add check for netinet/tcp.h and clean up stress-socket a little
  * Move include of arpa/inet.h to stress-ng.h
  * Move include netinet/in.h to stress-ng.h
  * stress-dirdeep: remove include of dirent.h, it is already included
    in stress-ng.h
  * Add check for cpuid.h
  * Move include of keyutils.h to stress-ng.h
  * Move include of crypt.h to stress-ng.h
  * Add check for strings.h
  * Fix check on sys/msg.h, use correct macro for check
  * Use check for mqueue.h
  * Move pwd.h to stress-ng.h
  * Add check for mqueue.h
  * Move ucontext.h and search.h to stress-ng.h
  * Add check for semaphore.h
  * Add checks for aio.h and spawn.h
  * Move math,h and complex.h to stress-ng.h
  * Disable swap for SunOs/Solaris as the interface is different to Linux
  * stress-chown: don't count retries for NetBSD sched_yield retries
  * stress-raw-dev: replace __linux__ check with some more specific checks
  * test/test-sysinfo.c: force failure for sunos, this clashes with a
    different sysinfo
  * stress-ng.c: Add check for sysinfo system call
  * Add check for sysinfo system call
  * Add check for syslog.h
  * Add check for sys/epoll.h
  * Add check for poll.h
  * helper: remove include of sys/statvfs.h as it is include from
    stress-ng.h
  * Add check for sys/shm.h
  * Add check for sys/msg.h
  * Add check for sys/ipc.h
  * helper: use HAVE_SYS_STATVFS_H check for statvfs calls
  * stress-filename.c: use statvfs check
  * Add check for sys/statvfs.h
  * Add check for sys/statfs.h
  * Use check for sys/fanotify.h
  * Add check for sys/sysmacros.h
  * stress-rawdev: remove include of dirent.h, it is in stress-ng.h
  * Add check for sys/io.h
  * Add check for sys/inotify.h and various inotify types
  * Add check for termio.h and termios.h
  * Add check for sys/quota.h
  * Add check for deprecated include ustat.h
  * Add check for utime.h
  * Add check for sys/sysinfo.h
  * Move include of sys/timex.h from stress-get.c to stress-ng.h
  * Add check for sys/ucred.h
  * Add check for sys/mount.h
  * Add check for sys/param.h
  * Move include of mntent.h to stress-ng.h
  * Add check for sys/personality.h
  * perf-event: no need to check for __linux__, remove check
  * Add better checking for HAVE_LINUX_PERF_EVENT_H
  * stress-nop: undefined NOP macros to avoid name space clash
  * Move libaio.h from stress-aio-linux.c to stress-ng.h
  * Move several includes from stress-dev.c to stress-ng.h
  * Add check for linux/cn_proc.h
  * Add check for linux/unix_diag.h
  * Add check for linux/sock_diag.h
  * Add check for linux/rtnetlink.h
  * Add check for linux/netlink.h
  * Add check for linux/connector.h
  * stress-sock-diag: remove includes that are in stress-ng.h
  * stress-ng.h: remove check for HAVE_SWAP to include swap.h
  * Add check for linux/posix_types.h
  * stress-ng.h: more clean ups
  * stress-ng.h: more include cleanups
  * alphabetically re-order sys/includes
  * Move include of linux/if_alg.h to stress-ng.h
  * Move include of linux/socket.h to stress-ng.h
  * stress-dev: remove need for linux/random.h, it's included in
    stress-ng.h
  * stress-timerfd: clean up build warning on pid_t on sunos
  * Only include sys/swap.h if swapon/swapoff exist
  * stress-sendfile: return EXIT_NOT_IMPLEMENTED if sendfile returns ENOSYS
  * Add check for statfs system call
  * Add swapon/swapoff system call autodetection
  * stress-swap: don't use SWAP_FLAG_PREFER if it's not defined
  * stress-sysbadaddr.c: remove include of sys/vfs.h
  * Add build config check for sys/uio.h
  * Add build config check for sys/vfs.h
  * Add build config check for sys/swap.h
  * Add build config check for sys/timerfd.h
  * Move include of sys/apparmor.h to stress-ng.h
  * Add build config check for sys/sendfile.h
  * Add build config check for sys/signalfd.h
  * stress-netdev.c: remove include of sys/ioctl.h, it is included in
    stress-ng.h
  * Move include of sys/auxv.h to stress-ng.h
  * stress-socket-diag: remove include for sys/socket.h, it is include
    in stress-ng.h
  * Add build config check for netinet/in.h
  * Add build config check for sys/un.h
  * Add in version info computer unicode character
  * Add unicode 32 symbol for fire in the version info
  * Re-order pthread and libc library linker order (LP: #1807176)
  * Move <sys/utsname.h> include to stress-ng.h
  * stress-rawdev: remove sys/types.h as it is included in stress-ng.h
  * Rename HAVE_SYS_CAP_H to HAVE_SYS_CAPABILITY_H, move include to
    stress-ng.h
  * stress-urandom: move the include of linux/random.h to stress-ng.h
  * stress-loop: move the include of linux/loop.h to stress-ng.h
  * stress-futex: remove include/futex.h
  * shim: remove linux/futex.h include
  * Move the include of linux/rtc.h to stress-ng.h
  * Move the include of linux/watchdog.h to stress-ng.h
  * Move the include of linux/userfaultfd.h to stress-ng.h
  * Move the include of linux/futex.h to stress-ng.h
  * stress-seccomp: no need for __linux__ check, remove it
  * stress-opcode: fix build issue because if #if/#endif mismatch
  * Move linux/seccomp.h include to stress-ng.h
  * Add build config check for linux/filter.h
  * Add build config check for linux/audit.h


## stress-ng 0.09.50

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2013-2018 Canonical, Ltd.
+# Copyright (C) 2013-2019 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,12 +16,12 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.49
+VERSION=0.09.50
 #
 # Codename "portable pressure producer"
 #
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99 -g
 
 #
 # Pedantic flags
@@ -141,6 +141,7 @@
 	stress-ioport.c \
 	stress-ioprio.c \
 	stress-iosync.c \
+	stress-ipsec-mb.c \
 	stress-itimer.c \
 	stress-kcmp.c \
 	stress-key.c \

=== debian/changelog ===
stress-ng (0.09.50-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: update date
  * stress-fanotify: don't declare ret if it is not used
  * stress-ipsec-mb: make pr_inf message a debug pr_dbg message
  * stress-zlib: remove xsum value debug verify information
  * stress-ipsec-mb: add more explanation to why the stressor may be
    skipped
  * stress-ipsec-mb: check for IMB_* macros
  * stress-ipsec-mb: fix typo "avx" -> "avx2"
  * stress-ipsec-mb: Add SHA encryption
  * stress-ipsec-mb: fix hmac md5 error messages
  * stress-ipsec-mb: Add HMAC MD5
  * stress-ipsec-mb: add CTR encoding
  * stress-ipsec-mb: don't enable for static builds
  * Update copyright year
  * debian/control: add ipsec library dependency
  * stress-quota: use linux quotactl API for linux only systems
  * stress-opcode: voidify name argument
  * stress-opcode: define stress_set_opcode_method for unimplemented
    build case
  * Forgot to add test/test-libipsec-mb.c
  * Add initial cut of ipsec-mb stressor for SHA, DES and CMAC
  * stress-af-alg: prefix macro constants with SNG to avoid clashes
  * stress-rdrand: remove assembler cpuid check
  * stress-fanotify: improve FAN mode checks for v4.20
  * stress-resources: fork a child off on each resource eating child
  * Add --opcode-method [ random | inc | mixed ] option
  * shim: remove duplicated code for __APPLE__ case
  * stress-opcode: iterate 1024 times in each child
  * stress-stackmmap: fix leak of open file descriptor on ENXIO error
  * stress-opcode: comment why mwc32() is being called before forking
  * stress-opcode: remove unnecessary { } block scope
  * stress-opcode: use mwc8() instead of mwc32() when setting opcodes
  * snapcraft: make stress-ng binary static and add various plugs

 -- Colin King <colin.king@canonical.com>  Wed, 2 Jan 2019 16:58:52 +0000

=== debian/control ===
Source: stress-ng
Section: devel
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Standards-Version: 4.1.2
Build-Depends: debhelper (>= 11), zlib1g-dev, libbsd-dev, libattr1-dev, libgcrypt20-dev, libkeyutils-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !linux-ia64], libapparmor-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], apparmor [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libaio-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libcap-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libsctp-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libipsec-mb-dev [amd64]
Homepage: http://kernel.ubuntu.com/~cking/stress-ng

Package: stress-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool to load and stress a computer
 stress-ng can stress various subsystems of a computer.  It can stress load
 CPU, cache, disk, memory, socket and pipe I/O, scheduling and much more.
 stress-ng is a re-write of the original stress tool by Amos Waterland but
 has many additional features such as specifying the number of bogo operations
 to run, execution metrics, a stress verification on memory and compute
 operations and considerably more stress mechanisms.

## stress-ng 0.09.57

=== Makefile ===
--- 
+++ 
@@ -16,12 +16,12 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.09.50
+VERSION=0.09.57
 #
 # Codename "portable pressure producer"
 #
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99 -g
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99
 
 #
 # Pedantic flags
@@ -89,6 +89,7 @@
 	stress-chroot.c \
 	stress-clock.c \
 	stress-clone.c \
+	stress-close.c \
 	stress-context.c \
 	stress-copy-file.c \
 	stress-cpu.c \
@@ -135,6 +136,7 @@
 	stress-hsearch.c \
 	stress-icache.c \
 	stress-icmp-flood.c \
+	stress-idle-page.c \
 	stress-inode-flags.c \
 	stress-inotify.c \
 	stress-iomix.c \
@@ -159,6 +161,7 @@
 	stress-madvise.c \
 	stress-malloc.c \
 	stress-matrix.c \
+	stress-matrix-3d.c \
 	stress-mcontend.c \
 	stress-membarrier.c \
 	stress-memcpy.c \
@@ -169,6 +172,7 @@
 	stress-mincore.c \
 	stress-mknod.c \
 	stress-mlock.c \
+	stress-mlockmany.c \
 	stress-mmap.c \
 	stress-mmapaddr.c \
 	stress-mmapfixed.c \
@@ -283,31 +287,31 @@
 # Stress core
 #
 CORE_SRC = \
-	affinity.c \
-	cache.c \
-	cpu.c \
-	helper.c \
-	ignite-cpu.c \
-	io-priority.c \
-	job.c \
-	limit.c \
-	log.c \
-	madvise.c \
-	mincore.c \
-	mlock.c \
-	mmap.c \
-	mounts.c \
-	mwc.c \
-	net.c \
-	out-of-memory.c \
-	parse-opts.c \
-	perf.c \
-	sched.c \
-	setting.c \
-	shim.c \
-	thermal-zone.c \
-	time.c \
-	thrash.c \
+	core-affinity.c \
+	core-cache.c \
+	core-cpu.c \
+	core-helper.c \
+	core-ignite-cpu.c \
+	core-io-priority.c \
+	core-job.c \
+	core-limit.c \
+	core-log.c \
+	core-madvise.c \
+	core-mincore.c \
+	core-mlock.c \
+	core-mmap.c \
+	core-mounts.c \
+	core-mwc.c \
+	core-net.c \
+	core-out-of-memory.c \
+	core-parse-opts.c \
+	core-perf.c \
+	core-sched.c \
+	core-setting.c \
+	core-shim.c \
+	core-thermal-zone.c \
+	core-time.c \
+	core-thrash.c \
 	stress-ng.c
 
 SRC = $(STRESS_SRC) $(CORE_SRC)
@@ -354,7 +358,7 @@
 
 makeconfig:
 	@if [ ! -s config ]; then \
-		$(MAKE) -f Makefile.config; \
+		STATIC=$(STATIC) $(MAKE) -f Makefile.config; \
 	fi
 
 #
@@ -378,14 +382,14 @@
 #  extract the PER_* personality enums
 #
 personality.h:
-	@$(CPP) personality.c | $(GREP) -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
+	@$(CPP) core-personality.c | $(GREP) -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
 	| sed "s/.$$/,/" > personality.h
 
 stress-personality.c: personality.h
 
-perf.o: perf.c perf-event.c
-	@$(CC) $(CFLAGS) -E perf-event.c | grep "PERF_COUNT" | sed 's/,/ /' | \
-	awk {'print "#define _SNG_" $$1 " (1)"'} > perf-event.h
+core-perf.o: core-perf.c core-perf-event.c
+	@$(CC) $(CFLAGS) -E core-perf-event.c | grep "PERF_COUNT" | sed 's/,/ /' | \
+	awk {'print "#define _SNG_" $$1 " (1)"'} > core-perf-event.h
 	@echo CC $<
 	@$(CC) $(CFLAGS) -c -o $@ $<
 
@@ -404,9 +408,9 @@
 	rm -rf stress-ng-$(VERSION)
 	mkdir stress-ng-$(VERSION)
 	cp -rp Makefile Makefile.config $(SRC) stress-ng.h stress-ng.1 \
-		personality.c COPYING syscalls.txt mascot README \
+		core-personality.c COPYING syscalls.txt mascot README \
 		README.Android test snap smatchify.sh config TODO \
-		perf-event.c usr.bin.pulseaudio.eg stress-version.h \
+		core-perf-event.c usr.bin.pulseaudio.eg stress-version.h \
 		example-jobs .travis.yml stress-ng-$(VERSION)
 	tar -Jcf stress-ng-$(VERSION).tar.xz stress-ng-$(VERSION)
 	rm -rf stress-ng-$(VERSION)

=== debian/changelog ===
stress-ng (0.09.57-0ubuntu5) disco; urgency=medium

  * Fix --timer-slack from consuming the following arg (LP: #1853832)
    Currently the timer slack option eats the next argument, causing
    missing argument parsing behaviour on the command line.
  * Fix mwc8() being reset when using mwc1() (LP: #1855851)
    Fic Psuedo-random 8 bit numbers from mwc8() accidentally
    being zero'd when mwc1() is called.

 -- Colin King <colin.king@canonical.com>  Tue, 10 Dec 2019 09:32:11 +0000

stress-ng (0.09.57-0ubuntu4) disco; urgency=medium

  * d/p/0004-stress-af-alg-handle-bind-ETIMEDOUT-failures.patch:
    retry bind() on ETIMEDOUT in case the requested module just
    gets loaded by another stress-af-alg worker. (LP: #1851553)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Wed, 06 Nov 2019 17:23:50 -0300

stress-ng (0.09.57-0ubuntu3) disco; urgency=medium

  * stress-rmap: don't hard fail on fallocate failures (LP: #1845005)
    - backport of upstream commit 38fd9c6ff96c
  * stress-mcontend: sync mmap file with zero data (LP: #1845011)
    - backport of upstream commit c3678dadee23

 -- Colin King <colin.king@canonical.com>  Tue, 24 Sep 2019 08:30:11 +0100

stress-ng (0.09.57-0ubuntu2) disco; urgency=medium

  [Alfonso Sanchez-Beato]
  * stress-numa: fix calculation of max nodes (LP: #1803468)
    - use  the count of bits in "Mems_allowed" to calculate the
      maximum number of NUMA nodes

 -- Colin King <colin.king@canonical.com>  Thu, 4 Apr 2019 17:47:11 +0100

stress-ng (0.09.57-0ubuntu1) disco; urgency=medium

  * Makefile: bump version
  * stress-zlib: make buffer in static to avoid large stack
    allocations
  * stress-sysfs: only close ctxt.kmsgd if the fd is open
  * test/test-sendmmsg: fix another resource leak of sockfd
  * stress-epoll: remove redundant initialization of ret
  * stress-fifo: remove redundant initialization of rc
  * stress-fcntl: remove redundant initialization of rc
  * stress-sysfs: fix fd leak
  * core-perf: remove redundant variable rc
  * stress-zero: ensure initialized data is being written
  * test/test-posix-fadvise: remove unused label 'err'
  * core-log: add paranoid check for localtime returning NULL
  * test/test-mremap: remove unused pointer buf
  * stress-opcode: remove redundant initialization of rc
  * test/test-inotify: remove unused variable ret
  * stress-swap: remove redundant assignment of fd to -1
  * test/test-sendmsg: close socket fd
  * stress-pty: remove redundant variable rc
  * test/test-posix-fadvise: remove redundant variable ptr
  * stress-memrate: remove redundant assignment to rc
  * stress-dev-shm: remove redundant assignment of sz_delta
  * stress-zlib: remove redundant initialization of flush
  * Make various large stack allocations static
  * stress-shm: fix end of string setting on wrong string
  * core-helper: initialize val2; cleans up static analysis warning
  * stress-pipe: use strncmp instead of strcmp on pipe stop message
  * stress-socket-fd: check for non-null addr before unlinking addr_un
  * stress-physpage: fix mapping address on failed mmap.
  * stress-zlib: fix double call to deflateEnd
  * stress-fcntl: improve checking of file creation
  * stress-shm-sysv: lock/unlock shm segment if SHM_LOCK/SHM_UNLOCK
    are defined
  * stress-af-alg: fix copy-n-paste error on pointer name
  * stress-af-alg: track unavailable af algs across multiple
    stressors (LP: #1813847)
  * stress-sysfs: add mmap and readlink operations on sysfs files

 -- Colin King <colin.king@canonical.com>  Wed, 27 Mar 2019 12:16:20 +0000

stress-ng (0.09.56-0ubuntu1) unstable; urgency=medium

  * Makefile: bump version
  * stress-bigheap: poll with keep_stressing() rather than
    g_keep_stressing_flag
  * Fix typo in sysbadaddr help, sysbaddaddr-ops ->
    sysbadaddr-ops (LP: #1820251)
  * stress-shm: paranoidly memset msg; cleans up static analysis warnings
  * stress-nice: use setpriority or nice of both are available
  * stress-zlib: fix incorrect macro name, should be
    HAVE_BUILTIN_CTZ (LP: #1820252)
  * stress-udp-flood: add some random port flooding into the mix
  * stress-procfs: exercise procfs with mmap, ioctl and poll too
  * stress-xattr: use macro for the max number of xattr settings
  * README: add pcc as another supported compiler (LP: #1820253)
  * Disable matrix-3d options when building with pcc
  * stress-ng.h: don't use sync_synchronized when building with pcc
  * stress-ng.h: make __builtin_prefetch a variadic function
  * stress-matrix-3d: disable for PCC builds as this breaks the compiler
  * stess-ng.h: fully define  __builtin_prefetch for pcc
  * Add build time check for gcc/clang label as a value feature
  * core-perf: add OOM and thermal zone trip perf stats (LP: #1820254)
  * core-perf: add filemap page cache perf stats (LP: #1820254)

 -- Colin King <colin.king@canonical.com>  Fri, 15 Mar 2019 10:55:02 +0000

stress-ng (0.09.55-0ubuntu1) unstable; urgency=medium

  * Makefile: bump version
  * Remove need for alloca.h to be build checked or included
  * Manual: update stack stressor description, it no longer uses
    alloca()
  * Add tcc as supported compilers in README
  * core-helper: add missing __dso_handle for tcc
  * Add build check for __builtin_prefetch
  * Add build-time checks for __builtin_memcpy and __builtin_memmove
  * Add implementation of __builtin_ctz for systems that don't support
    this
  * core-helper: use correct etext and edata symbols for tcc builds
  * Use correct macro name HAVE_VLA_ARG and not HAVE_VLA_ARGS
  * matrix-3d: fix all matrix-3d settings, the name should not be
    matrix_3d*
  * Add check for variable length array support in function args
  * rename TYPEOF macro to CAST_TYPEOF as it really is used for type casting
  * Add build checks for complex.h and complex type
  * stress-close: remove debug message
  * stress-close: add more pthreads, remove some protocols and fsync
  * core-helper: remove redundant null check for case where NSIG or _NSIG
    are not defined


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: stress-ng
 Section: devel
 Priority: optional
-Maintainer: Colin King <colin.king@canonical.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 11), zlib1g-dev, libbsd-dev, libattr1-dev, libgcrypt20-dev, libkeyutils-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !linux-ia64], libapparmor-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], apparmor [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libaio-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libcap-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libsctp-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libipsec-mb-dev [amd64]
 Homepage: http://kernel.ubuntu.com/~cking/stress-ng
